#ifndef __INPUT_KEYNAMES_H__
#define __INPUT_KEYNAMES_H__

#include <linux/input.h>

#if !defined(KEY_OK)
#include "input_fake.h"
#endif


struct input_key_name {
        const char *name;
        int         key;
};


static struct input_key_name key_name [] = {
        { "0", KEY_0 },
        { "1", KEY_1 },
        { "102ND", KEY_102ND },
        { "2", KEY_2 },
        { "3", KEY_3 },
        { "4", KEY_4 },
        { "5", KEY_5 },
        { "6", KEY_6 },
        { "7", KEY_7 },
        { "8", KEY_8 },
        { "9", KEY_9 },
        { "A", KEY_A },
        { "AB", KEY_AB },
        { "ADDRESSBOOK", KEY_ADDRESSBOOK },
        { "AGAIN", KEY_AGAIN },
        { "ALTERASE", KEY_ALTERASE },
        { "ANGLE", KEY_ANGLE },
        { "APOSTROPHE", KEY_APOSTROPHE },
        { "ARCHIVE", KEY_ARCHIVE },
        { "AUDIO", KEY_AUDIO },
        { "AUX", KEY_AUX },
        { "B", KEY_B },
        { "BACK", KEY_BACK },
        { "BACKSLASH", KEY_BACKSLASH },
        { "BACKSPACE", KEY_BACKSPACE },
        { "BASSBOOST", KEY_BASSBOOST },
        { "BATTERY", KEY_BATTERY },
        { "BLUE", KEY_BLUE },
        { "BLUETOOTH", KEY_BLUETOOTH },
        { "BOOKMARKS", KEY_BOOKMARKS },
        { "BREAK", KEY_BREAK },
        { "BRIGHTNESSDOWN", KEY_BRIGHTNESSDOWN },
        { "BRIGHTNESSUP", KEY_BRIGHTNESSUP },
        { "BRIGHTNESS_CYCLE", KEY_BRIGHTNESS_CYCLE },
        { "BRIGHTNESS_ZERO", KEY_BRIGHTNESS_ZERO },
        { "BRL_DOT1", KEY_BRL_DOT1 },
        { "BRL_DOT10", KEY_BRL_DOT10 },
        { "BRL_DOT2", KEY_BRL_DOT2 },
        { "BRL_DOT3", KEY_BRL_DOT3 },
        { "BRL_DOT4", KEY_BRL_DOT4 },
        { "BRL_DOT5", KEY_BRL_DOT5 },
        { "BRL_DOT6", KEY_BRL_DOT6 },
        { "BRL_DOT7", KEY_BRL_DOT7 },
        { "BRL_DOT8", KEY_BRL_DOT8 },
        { "BRL_DOT9", KEY_BRL_DOT9 },
        { "C", KEY_C },
        { "CALC", KEY_CALC },
        { "CALENDAR", KEY_CALENDAR },
        { "CAMERA", KEY_CAMERA },
        { "CANCEL", KEY_CANCEL },
        { "CAPSLOCK", KEY_CAPSLOCK },
        { "CD", KEY_CD },
        { "CHANNEL", KEY_CHANNEL },
        { "CHANNELDOWN", KEY_CHANNELDOWN },
        { "CHANNELUP", KEY_CHANNELUP },
        { "CHAT", KEY_CHAT },
        { "CLEAR", KEY_CLEAR },
        { "CLOSE", KEY_CLOSE },
        { "CLOSECD", KEY_CLOSECD },
        { "COFFEE", KEY_COFFEE },
        { "COMMA", KEY_COMMA },
        { "COMPOSE", KEY_COMPOSE },
        { "COMPUTER", KEY_COMPUTER },
        { "CONFIG", KEY_CONFIG },
        { "CONNECT", KEY_CONNECT },
        { "CONTEXT_MENU", KEY_CONTEXT_MENU },
        { "COPY", KEY_COPY },
        { "CUT", KEY_CUT },
        { "CYCLEWINDOWS", KEY_CYCLEWINDOWS },
        { "D", KEY_D },
        { "DASHBOARD", KEY_DASHBOARD },
        { "DATABASE", KEY_DATABASE },
        { "DELETE", KEY_DELETE },
        { "DELETEFILE", KEY_DELETEFILE },
        { "DEL_EOL", KEY_DEL_EOL },
        { "DEL_EOS", KEY_DEL_EOS },
        { "DEL_LINE", KEY_DEL_LINE },
        { "DIGITS", KEY_DIGITS },
        { "DIRECTION", KEY_DIRECTION },
        { "DIRECTORY", KEY_DIRECTORY },
        { "DISPLAYTOGGLE", KEY_DISPLAYTOGGLE },
        { "DISPLAY_OFF", KEY_DISPLAY_OFF },
        { "DOCUMENTS", KEY_DOCUMENTS },
        { "DOLLAR", KEY_DOLLAR },
        { "DOT", KEY_DOT },
        { "DOWN", KEY_DOWN },
        { "DVD", KEY_DVD },
        { "E", KEY_E },
        { "EDIT", KEY_EDIT },
        { "EDITOR", KEY_EDITOR },
        { "EJECTCD", KEY_EJECTCD },
        { "EJECTCLOSECD", KEY_EJECTCLOSECD },
        { "EMAIL", KEY_EMAIL },
        { "END", KEY_END },
        { "ENTER", KEY_ENTER },
        { "EPG", KEY_EPG },
        { "EQUAL", KEY_EQUAL },
        { "ESC", KEY_ESC },
        { "EURO", KEY_EURO },
        { "EXIT", KEY_EXIT },
        { "F", KEY_F },
        { "F1", KEY_F1 },
        { "F10", KEY_F10 },
        { "F11", KEY_F11 },
        { "F12", KEY_F12 },
        { "F13", KEY_F13 },
        { "F14", KEY_F14 },
        { "F15", KEY_F15 },
        { "F16", KEY_F16 },
        { "F17", KEY_F17 },
        { "F18", KEY_F18 },
        { "F19", KEY_F19 },
        { "F2", KEY_F2 },
        { "F20", KEY_F20 },
        { "F21", KEY_F21 },
        { "F22", KEY_F22 },
        { "F23", KEY_F23 },
        { "F24", KEY_F24 },
        { "F3", KEY_F3 },
        { "F4", KEY_F4 },
        { "F5", KEY_F5 },
        { "F6", KEY_F6 },
        { "F7", KEY_F7 },
        { "F8", KEY_F8 },
        { "F9", KEY_F9 },
        { "FASTFORWARD", KEY_FASTFORWARD },
        { "FAVORITES", KEY_FAVORITES },
        { "FILE", KEY_FILE },
        { "FINANCE", KEY_FINANCE },
        { "FIND", KEY_FIND },
        { "FIRST", KEY_FIRST },
        { "FN", KEY_FN },
        { "FN_1", KEY_FN_1 },
        { "FN_2", KEY_FN_2 },
        { "FN_B", KEY_FN_B },
        { "FN_D", KEY_FN_D },
        { "FN_E", KEY_FN_E },
        { "FN_ESC", KEY_FN_ESC },
        { "FN_F", KEY_FN_F },
        { "FN_F1", KEY_FN_F1 },
        { "FN_F10", KEY_FN_F10 },
        { "FN_F11", KEY_FN_F11 },
        { "FN_F12", KEY_FN_F12 },
        { "FN_F2", KEY_FN_F2 },
        { "FN_F3", KEY_FN_F3 },
        { "FN_F4", KEY_FN_F4 },
        { "FN_F5", KEY_FN_F5 },
        { "FN_F6", KEY_FN_F6 },
        { "FN_F7", KEY_FN_F7 },
        { "FN_F8", KEY_FN_F8 },
        { "FN_F9", KEY_FN_F9 },
        { "FN_S", KEY_FN_S },
        { "FORWARD", KEY_FORWARD },
        { "FORWARDMAIL", KEY_FORWARDMAIL },
        { "FRAMEBACK", KEY_FRAMEBACK },
        { "FRAMEFORWARD", KEY_FRAMEFORWARD },
        { "FRONT", KEY_FRONT },
        { "G", KEY_G },
        { "GAMES", KEY_GAMES },
        { "GOTO", KEY_GOTO },
        { "GRAPHICSEDITOR", KEY_GRAPHICSEDITOR },
        { "GRAVE", KEY_GRAVE },
        { "GREEN", KEY_GREEN },
        { "H", KEY_H },
        { "HANGEUL", KEY_HANGEUL },
        { "HANGUEL", KEY_HANGUEL },
        { "HANJA", KEY_HANJA },
        { "HELP", KEY_HELP },
        { "HENKAN", KEY_HENKAN },
        { "HIRAGANA", KEY_HIRAGANA },
        { "HOME", KEY_HOME },
        { "HOMEPAGE", KEY_HOMEPAGE },
        { "HP", KEY_HP },
        { "I", KEY_I },
        { "INFO", KEY_INFO },
        { "INSERT", KEY_INSERT },
        { "INS_LINE", KEY_INS_LINE },
        { "ISO", KEY_ISO },
        { "J", KEY_J },
        { "K", KEY_K },
        { "KATAKANA", KEY_KATAKANA },
        { "KATAKANAHIRAGANA", KEY_KATAKANAHIRAGANA },
        { "KBDILLUMDOWN", KEY_KBDILLUMDOWN },
        { "KBDILLUMTOGGLE", KEY_KBDILLUMTOGGLE },
        { "KBDILLUMUP", KEY_KBDILLUMUP },
        { "KEYBOARD", KEY_KEYBOARD },
        { "KP0", KEY_KP0 },
        { "KP1", KEY_KP1 },
        { "KP2", KEY_KP2 },
        { "KP3", KEY_KP3 },
        { "KP4", KEY_KP4 },
        { "KP5", KEY_KP5 },
        { "KP6", KEY_KP6 },
        { "KP7", KEY_KP7 },
        { "KP8", KEY_KP8 },
        { "KP9", KEY_KP9 },
        { "KPASTERISK", KEY_KPASTERISK },
        { "KPCOMMA", KEY_KPCOMMA },
        { "KPDOT", KEY_KPDOT },
        { "KPENTER", KEY_KPENTER },
        { "KPEQUAL", KEY_KPEQUAL },
        { "KPJPCOMMA", KEY_KPJPCOMMA },
        { "KPLEFTPAREN", KEY_KPLEFTPAREN },
        { "KPMINUS", KEY_KPMINUS },
        { "KPPLUS", KEY_KPPLUS },
        { "KPPLUSMINUS", KEY_KPPLUSMINUS },
        { "KPRIGHTPAREN", KEY_KPRIGHTPAREN },
        { "KPSLASH", KEY_KPSLASH },
        { "L", KEY_L },
        { "LANGUAGE", KEY_LANGUAGE },
        { "LAST", KEY_LAST },
        { "LEFT", KEY_LEFT },
        { "LEFTALT", KEY_LEFTALT },
        { "LEFTBRACE", KEY_LEFTBRACE },
        { "LEFTCTRL", KEY_LEFTCTRL },
        { "LEFTMETA", KEY_LEFTMETA },
        { "LEFTSHIFT", KEY_LEFTSHIFT },
        { "LINEFEED", KEY_LINEFEED },
        { "LIST", KEY_LIST },
        { "LOGOFF", KEY_LOGOFF },
        { "M", KEY_M },
        { "MACRO", KEY_MACRO },
        { "MAIL", KEY_MAIL },
        { "MEDIA", KEY_MEDIA },
        { "MEDIA_REPEAT", KEY_MEDIA_REPEAT },
        { "MEMO", KEY_MEMO },
        { "MENU", KEY_MENU },
        { "MESSENGER", KEY_MESSENGER },
        { "MHP", KEY_MHP },
        { "MINUS", KEY_MINUS },
        { "MIN_INTERESTING", KEY_MIN_INTERESTING },
        { "MODE", KEY_MODE },
        { "MOVE", KEY_MOVE },
        { "MP3", KEY_MP3 },
        { "MSDOS", KEY_MSDOS },
        { "MUHENKAN", KEY_MUHENKAN },
        { "MUTE", KEY_MUTE },
        { "N", KEY_N },
        { "NEW", KEY_NEW },
        { "NEWS", KEY_NEWS },
        { "NEXT", KEY_NEXT },
        { "NEXTSONG", KEY_NEXTSONG },
        { "NUMERIC_0", KEY_NUMERIC_0 },
        { "NUMERIC_1", KEY_NUMERIC_1 },
        { "NUMERIC_2", KEY_NUMERIC_2 },
        { "NUMERIC_3", KEY_NUMERIC_3 },
        { "NUMERIC_4", KEY_NUMERIC_4 },
        { "NUMERIC_5", KEY_NUMERIC_5 },
        { "NUMERIC_6", KEY_NUMERIC_6 },
        { "NUMERIC_7", KEY_NUMERIC_7 },
        { "NUMERIC_8", KEY_NUMERIC_8 },
        { "NUMERIC_9", KEY_NUMERIC_9 },
        { "NUMERIC_POUND", KEY_NUMERIC_POUND },
        { "NUMERIC_STAR", KEY_NUMERIC_STAR },
        { "NUMLOCK", KEY_NUMLOCK },
        { "O", KEY_O },
        { "OK", KEY_OK },
        { "OPEN", KEY_OPEN },
        { "OPTION", KEY_OPTION },
        { "P", KEY_P },
        { "PAGEDOWN", KEY_PAGEDOWN },
        { "PAGEUP", KEY_PAGEUP },
        { "PASTE", KEY_PASTE },
        { "PAUSE", KEY_PAUSE },
        { "PAUSECD", KEY_PAUSECD },
        { "PC", KEY_PC },
        { "PHONE", KEY_PHONE },
        { "PLAY", KEY_PLAY },
        { "PLAYCD", KEY_PLAYCD },
        { "PLAYER", KEY_PLAYER },
        { "PLAYPAUSE", KEY_PLAYPAUSE },
        { "POWER", KEY_POWER },
        { "POWER2", KEY_POWER2 },
        { "PRESENTATION", KEY_PRESENTATION },
        { "PREVIOUS", KEY_PREVIOUS },
        { "PREVIOUSSONG", KEY_PREVIOUSSONG },
        { "PRINT", KEY_PRINT },
        { "PROG1", KEY_PROG1 },
        { "PROG2", KEY_PROG2 },
        { "PROG3", KEY_PROG3 },
        { "PROG4", KEY_PROG4 },
        { "PROGRAM", KEY_PROGRAM },
        { "PROPS", KEY_PROPS },
        { "PVR", KEY_PVR },
        { "Q", KEY_Q },
        { "QUESTION", KEY_QUESTION },
        { "R", KEY_R },
        { "RADIO", KEY_RADIO },
        { "RECORD", KEY_RECORD },
        { "RED", KEY_RED },
        { "REDO", KEY_REDO },
        { "REFRESH", KEY_REFRESH },
        { "REPLY", KEY_REPLY },
        { "RESERVED", KEY_RESERVED },
        { "RESTART", KEY_RESTART },
        { "REWIND", KEY_REWIND },
        { "RIGHT", KEY_RIGHT },
        { "RIGHTALT", KEY_RIGHTALT },
        { "RIGHTBRACE", KEY_RIGHTBRACE },
        { "RIGHTCTRL", KEY_RIGHTCTRL },
        { "RIGHTMETA", KEY_RIGHTMETA },
        { "RIGHTSHIFT", KEY_RIGHTSHIFT },
        { "RO", KEY_RO },
        { "S", KEY_S },
        { "SAT", KEY_SAT },
        { "SAT2", KEY_SAT2 },
        { "SAVE", KEY_SAVE },
        { "SCALE", KEY_SCALE },
        { "SCREEN", KEY_SCREEN },
        { "SCREENLOCK", KEY_SCREENLOCK },
        { "SCROLLDOWN", KEY_SCROLLDOWN },
        { "SCROLLLOCK", KEY_SCROLLLOCK },
        { "SCROLLUP", KEY_SCROLLUP },
        { "SEARCH", KEY_SEARCH },
        { "SELECT", KEY_SELECT },
        { "SEMICOLON", KEY_SEMICOLON },
        { "SEND", KEY_SEND },
        { "SENDFILE", KEY_SENDFILE },
        { "SETUP", KEY_SETUP },
        { "SHOP", KEY_SHOP },
        { "SHUFFLE", KEY_SHUFFLE },
        { "SLASH", KEY_SLASH },
        { "SLEEP", KEY_SLEEP },
        { "SLOW", KEY_SLOW },
        { "SOUND", KEY_SOUND },
        { "SPACE", KEY_SPACE },
        { "SPELLCHECK", KEY_SPELLCHECK },
        { "SPORT", KEY_SPORT },
        { "SPREADSHEET", KEY_SPREADSHEET },
        { "STOP", KEY_STOP },
        { "STOPCD", KEY_STOPCD },
        { "SUBTITLE", KEY_SUBTITLE },
        { "SUSPEND", KEY_SUSPEND },
        { "SWITCHVIDEOMODE", KEY_SWITCHVIDEOMODE },
        { "SYSRQ", KEY_SYSRQ },
        { "T", KEY_T },
        { "TAB", KEY_TAB },
        { "TAPE", KEY_TAPE },
        { "TEEN", KEY_TEEN },
        { "TEXT", KEY_TEXT },
        { "TIME", KEY_TIME },
        { "TITLE", KEY_TITLE },
        { "TUNER", KEY_TUNER },
        { "TV", KEY_TV },
        { "TV2", KEY_TV2 },
        { "TWEN", KEY_TWEN },
        { "U", KEY_U },
        { "UNDO", KEY_UNDO },
        { "UNKNOWN", KEY_UNKNOWN },
        { "UP", KEY_UP },
        { "UWB", KEY_UWB },
        { "V", KEY_V },
        { "VCR", KEY_VCR },
        { "VCR2", KEY_VCR2 },
        { "VENDOR", KEY_VENDOR },
        { "VIDEO", KEY_VIDEO },
        { "VIDEOPHONE", KEY_VIDEOPHONE },
        { "VIDEO_NEXT", KEY_VIDEO_NEXT },
        { "VIDEO_PREV", KEY_VIDEO_PREV },
        { "VOICEMAIL", KEY_VOICEMAIL },
        { "VOLUMEDOWN", KEY_VOLUMEDOWN },
        { "VOLUMEUP", KEY_VOLUMEUP },
        { "W", KEY_W },
        { "WAKEUP", KEY_WAKEUP },
        { "WIMAX", KEY_WIMAX },
        { "WLAN", KEY_WLAN },
        { "WORDPROCESSOR", KEY_WORDPROCESSOR },
        { "WWW", KEY_WWW },
        { "X", KEY_X },
        { "XFER", KEY_XFER },
        { "Y", KEY_Y },
        { "YELLOW", KEY_YELLOW },
        { "YEN", KEY_YEN },
        { "Z", KEY_Z },
        { "ZENKAKUHANKAKU", KEY_ZENKAKUHANKAKU },
        { "ZOOM", KEY_ZOOM },
        { "ZOOMIN", KEY_ZOOMIN },
        { "ZOOMOUT", KEY_ZOOMOUT },
        { "ZOOMRESET", KEY_ZOOMRESET },
};

#endif  /* __INPUT_KEYNAMES_H */

